[arch-commits] Commit in virtualbox-modules/repos (10 files)

Sébastien Luttringer seblu at archlinux.org
Sat Nov 22 22:52:55 UTC 2014


    Date: Saturday, November 22, 2014 @ 23:52:55
  Author: seblu
Revision: 122966

archrelease: copy trunk to community-testing-i686, community-testing-x86_64

Added:
  virtualbox-modules/repos/community-testing-i686/
  virtualbox-modules/repos/community-testing-i686/PKGBUILD
    (from rev 122965, virtualbox-modules/trunk/PKGBUILD)
  virtualbox-modules/repos/community-testing-i686/build.sh
    (from rev 122965, virtualbox-modules/trunk/build.sh)
  virtualbox-modules/repos/community-testing-i686/virtualbox-guest-modules.install
    (from rev 122965, virtualbox-modules/trunk/virtualbox-guest-modules.install)
  virtualbox-modules/repos/community-testing-i686/virtualbox-host-modules.install
    (from rev 122965, virtualbox-modules/trunk/virtualbox-host-modules.install)
  virtualbox-modules/repos/community-testing-x86_64/
  virtualbox-modules/repos/community-testing-x86_64/PKGBUILD
    (from rev 122965, virtualbox-modules/trunk/PKGBUILD)
  virtualbox-modules/repos/community-testing-x86_64/build.sh
    (from rev 122965, virtualbox-modules/trunk/build.sh)
  virtualbox-modules/repos/community-testing-x86_64/virtualbox-guest-modules.install
    (from rev 122965, virtualbox-modules/trunk/virtualbox-guest-modules.install)
  virtualbox-modules/repos/community-testing-x86_64/virtualbox-host-modules.install
    (from rev 122965, virtualbox-modules/trunk/virtualbox-host-modules.install)

-----------------------------------------------------------+
 community-testing-i686/PKGBUILD                           |   63 ++++++++++++
 community-testing-i686/build.sh                           |   58 +++++++++++
 community-testing-i686/virtualbox-guest-modules.install   |   21 ++++
 community-testing-i686/virtualbox-host-modules.install    |   23 ++++
 community-testing-x86_64/PKGBUILD                         |   63 ++++++++++++
 community-testing-x86_64/build.sh                         |   58 +++++++++++
 community-testing-x86_64/virtualbox-guest-modules.install |   21 ++++
 community-testing-x86_64/virtualbox-host-modules.install  |   23 ++++
 8 files changed, 330 insertions(+)

Copied: virtualbox-modules/repos/community-testing-i686/PKGBUILD (from rev 122965, virtualbox-modules/trunk/PKGBUILD)
===================================================================
--- community-testing-i686/PKGBUILD	                        (rev 0)
+++ community-testing-i686/PKGBUILD	2014-11-22 22:52:55 UTC (rev 122966)
@@ -0,0 +1,63 @@
+# $Id$
+# Maintainer: Ionut Biru <ibiru at archlinux.org>
+# Maintainer: Sébastien Luttringer
+
+pkgbase=virtualbox-modules
+pkgname=('virtualbox-host-modules' 'virtualbox-guest-modules')
+pkgver=4.3.20
+pkgrel=2
+arch=('i686' 'x86_64')
+url='http://virtualbox.org'
+license=('GPL')
+makedepends=('linux>=3.17' 'linux<3.18'
+             'linux-headers>=3.17' 'linux-headers<3.18'
+             "virtualbox-host-dkms>=$pkgver"
+             "virtualbox-guest-dkms>=$pkgver")
+
+# remember to also adjust the .install files and the package deps below
+_extramodules=extramodules-3.17-ARCH
+
+build() {
+  _kernver="$(cat /usr/lib/modules/$_extramodules/version)"
+  # dkms need modification to be run as user
+  cp -r /var/lib/dkms .
+  echo "dkms_tree='$srcdir/dkms'" > dkms.conf
+  # build host modules
+  msg2 'Host modules'
+  dkms --dkmsframework dkms.conf build "vboxhost/$pkgver" -k "$_kernver"
+  # build guest modules
+  msg2 'Guest modules'
+  dkms --dkmsframework dkms.conf build "vboxguest/$pkgver" -k "$_kernver"
+}
+
+package_virtualbox-host-modules(){
+  _kernver="$(cat /usr/lib/modules/$_extramodules/version)"
+  pkgdesc='Host kernel modules for VirtualBox'
+  depends=('linux>=3.17' 'linux<3.18')
+  replaces=('virtualbox-modules')
+  conflicts=('virtualbox-modules')
+  install=virtualbox-host-modules.install
+
+  cd "dkms/vboxhost/$pkgver/$_kernver/$CARCH/module"
+  install -dm755 "$pkgdir/usr/lib/modules/$_extramodules/"
+  install -m644 * "$pkgdir/usr/lib/modules/$_extramodules/"
+  find "$pkgdir" -name '*.ko' -exec gzip -9 {} +
+}
+
+package_virtualbox-guest-modules(){
+  _kernver="$(cat /usr/lib/modules/$_extramodules/version)"
+  pkgdesc='Guest kernel modules for VirtualBox'
+  license=('GPL')
+  depends=('linux>=3.17' 'linux<3.18')
+  replaces=('virtualbox-archlinux-modules')
+  conflicts=('virtualbox-archlinux-modules')
+  install=virtualbox-guest-modules.install
+
+  cd "dkms/vboxguest/$pkgver/$_kernver/$CARCH/module"
+  install -dm755 "$pkgdir/usr/lib/modules/$_extramodules/"
+  install -m644 * "$pkgdir/usr/lib/modules/$_extramodules/"
+  find "$pkgdir" -name '*.ko' -exec gzip -9 {} +
+}
+
+# vim:set ts=2 sw=2 et:
+md5sums=()

Copied: virtualbox-modules/repos/community-testing-i686/build.sh (from rev 122965, virtualbox-modules/trunk/build.sh)
===================================================================
--- community-testing-i686/build.sh	                        (rev 0)
+++ community-testing-i686/build.sh	2014-11-22 22:52:55 UTC (rev 122966)
@@ -0,0 +1,58 @@
+#!/bin/bash
+# lazyness can be enhanced everyday
+
+shopt -s nullglob
+
+usage() {
+  echo "usage: $0 extra"
+  echo "       $0 testing"
+  exit 1
+}
+
+# $1: reference package
+update() {
+  url="https://www.archlinux.org/packages/$1/x86_64/$2/"
+  curkernel=$(wget -qO- "$url"|sed -nr "s/.*<h2>$2 ([0-9]+)\.([0-9]+).*<\/h2>.*/\1.\2/p")
+  nextkernel=${curkernel%.*}.$(( ${curkernel#*.}+1))
+
+  echo "** Current kernel: $curkernel"
+  echo "** Next kernel: $nextkernel"
+
+  sed -ri \
+    -e "s/(_?extramodules=).*-(ARCH|lts).*/\1extramodules-$curkernel-\2/i" \
+    -e "s/(linux.*>=)[0-9]+.[0-9]+/\1$curkernel/" \
+    -e "s/(linux.*<)[0-9]+.[0-9]+/\1$nextkernel/" \
+    PKGBUILD *.install
+}
+
+# $1: repo
+# $2: arch
+build() {
+  _files=("$PWD"/../../virtualbox/trunk/virtualbox-*-dkms-*-$arch.pkg.tar.xz)
+  makechrootpkg -c -u "${_files[@]/#/-I}" -r "$1"
+}
+
+(( $# == 1 )) || usage
+
+# detect lts case
+grep -q linux-lts PKGBUILD && suf=-lts
+
+case $1 in
+  extra)
+    update core linux$suf-headers
+    for arch in x86_64 i686; do
+      build /var/lib/archbuild/extra-$arch $arch
+    done
+  ;;
+  testing)
+    update testing linux$suf-headers
+    for arch in x86_64 i686; do
+      build /var/lib/archbuild/testing-$arch $arch
+    done
+  ;;
+  *)
+    usage
+  ;;
+esac
+
+# vim:set ts=2 sw=2 ft=sh et:

Copied: virtualbox-modules/repos/community-testing-i686/virtualbox-guest-modules.install (from rev 122965, virtualbox-modules/trunk/virtualbox-guest-modules.install)
===================================================================
--- community-testing-i686/virtualbox-guest-modules.install	                        (rev 0)
+++ community-testing-i686/virtualbox-guest-modules.install	2014-11-22 22:52:55 UTC (rev 122966)
@@ -0,0 +1,21 @@
+_depmod() {
+  EXTRAMODULES=extramodules-3.17-ARCH
+  depmod $(cat /usr/lib/modules/$EXTRAMODULES/version)
+}
+
+post_install() {
+  cat << EOF
+===> You may want to load vboxguest, vboxsf and vboxvideo
+EOF
+  _depmod
+}
+
+post_upgrade() {
+  _depmod
+}
+
+post_remove() {
+  _depmod
+}
+
+# vim:set ts=2 sw=2 et:

Copied: virtualbox-modules/repos/community-testing-i686/virtualbox-host-modules.install (from rev 122965, virtualbox-modules/trunk/virtualbox-host-modules.install)
===================================================================
--- community-testing-i686/virtualbox-host-modules.install	                        (rev 0)
+++ community-testing-i686/virtualbox-host-modules.install	2014-11-22 22:52:55 UTC (rev 122966)
@@ -0,0 +1,23 @@
+_depmod() {
+  EXTRAMODULES=extramodules-3.17-ARCH
+  depmod $(cat /usr/lib/modules/$EXTRAMODULES/version)
+}
+
+post_install() {
+  cat << EOF
+===> You must load vboxdrv module before starting VirtualBox:
+===> # modprobe vboxdrv
+EOF
+  _depmod
+}
+
+post_upgrade() {
+  _depmod
+  echo 'In order to use the new version, reload all virtualbox modules manually.'
+}
+
+post_remove() {
+  _depmod
+}
+
+# vim:set ts=2 sw=2 et:

Copied: virtualbox-modules/repos/community-testing-x86_64/PKGBUILD (from rev 122965, virtualbox-modules/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2014-11-22 22:52:55 UTC (rev 122966)
@@ -0,0 +1,63 @@
+# $Id$
+# Maintainer: Ionut Biru <ibiru at archlinux.org>
+# Maintainer: Sébastien Luttringer
+
+pkgbase=virtualbox-modules
+pkgname=('virtualbox-host-modules' 'virtualbox-guest-modules')
+pkgver=4.3.20
+pkgrel=2
+arch=('i686' 'x86_64')
+url='http://virtualbox.org'
+license=('GPL')
+makedepends=('linux>=3.17' 'linux<3.18'
+             'linux-headers>=3.17' 'linux-headers<3.18'
+             "virtualbox-host-dkms>=$pkgver"
+             "virtualbox-guest-dkms>=$pkgver")
+
+# remember to also adjust the .install files and the package deps below
+_extramodules=extramodules-3.17-ARCH
+
+build() {
+  _kernver="$(cat /usr/lib/modules/$_extramodules/version)"
+  # dkms need modification to be run as user
+  cp -r /var/lib/dkms .
+  echo "dkms_tree='$srcdir/dkms'" > dkms.conf
+  # build host modules
+  msg2 'Host modules'
+  dkms --dkmsframework dkms.conf build "vboxhost/$pkgver" -k "$_kernver"
+  # build guest modules
+  msg2 'Guest modules'
+  dkms --dkmsframework dkms.conf build "vboxguest/$pkgver" -k "$_kernver"
+}
+
+package_virtualbox-host-modules(){
+  _kernver="$(cat /usr/lib/modules/$_extramodules/version)"
+  pkgdesc='Host kernel modules for VirtualBox'
+  depends=('linux>=3.17' 'linux<3.18')
+  replaces=('virtualbox-modules')
+  conflicts=('virtualbox-modules')
+  install=virtualbox-host-modules.install
+
+  cd "dkms/vboxhost/$pkgver/$_kernver/$CARCH/module"
+  install -dm755 "$pkgdir/usr/lib/modules/$_extramodules/"
+  install -m644 * "$pkgdir/usr/lib/modules/$_extramodules/"
+  find "$pkgdir" -name '*.ko' -exec gzip -9 {} +
+}
+
+package_virtualbox-guest-modules(){
+  _kernver="$(cat /usr/lib/modules/$_extramodules/version)"
+  pkgdesc='Guest kernel modules for VirtualBox'
+  license=('GPL')
+  depends=('linux>=3.17' 'linux<3.18')
+  replaces=('virtualbox-archlinux-modules')
+  conflicts=('virtualbox-archlinux-modules')
+  install=virtualbox-guest-modules.install
+
+  cd "dkms/vboxguest/$pkgver/$_kernver/$CARCH/module"
+  install -dm755 "$pkgdir/usr/lib/modules/$_extramodules/"
+  install -m644 * "$pkgdir/usr/lib/modules/$_extramodules/"
+  find "$pkgdir" -name '*.ko' -exec gzip -9 {} +
+}
+
+# vim:set ts=2 sw=2 et:
+md5sums=()

Copied: virtualbox-modules/repos/community-testing-x86_64/build.sh (from rev 122965, virtualbox-modules/trunk/build.sh)
===================================================================
--- community-testing-x86_64/build.sh	                        (rev 0)
+++ community-testing-x86_64/build.sh	2014-11-22 22:52:55 UTC (rev 122966)
@@ -0,0 +1,58 @@
+#!/bin/bash
+# lazyness can be enhanced everyday
+
+shopt -s nullglob
+
+usage() {
+  echo "usage: $0 extra"
+  echo "       $0 testing"
+  exit 1
+}
+
+# $1: reference package
+update() {
+  url="https://www.archlinux.org/packages/$1/x86_64/$2/"
+  curkernel=$(wget -qO- "$url"|sed -nr "s/.*<h2>$2 ([0-9]+)\.([0-9]+).*<\/h2>.*/\1.\2/p")
+  nextkernel=${curkernel%.*}.$(( ${curkernel#*.}+1))
+
+  echo "** Current kernel: $curkernel"
+  echo "** Next kernel: $nextkernel"
+
+  sed -ri \
+    -e "s/(_?extramodules=).*-(ARCH|lts).*/\1extramodules-$curkernel-\2/i" \
+    -e "s/(linux.*>=)[0-9]+.[0-9]+/\1$curkernel/" \
+    -e "s/(linux.*<)[0-9]+.[0-9]+/\1$nextkernel/" \
+    PKGBUILD *.install
+}
+
+# $1: repo
+# $2: arch
+build() {
+  _files=("$PWD"/../../virtualbox/trunk/virtualbox-*-dkms-*-$arch.pkg.tar.xz)
+  makechrootpkg -c -u "${_files[@]/#/-I}" -r "$1"
+}
+
+(( $# == 1 )) || usage
+
+# detect lts case
+grep -q linux-lts PKGBUILD && suf=-lts
+
+case $1 in
+  extra)
+    update core linux$suf-headers
+    for arch in x86_64 i686; do
+      build /var/lib/archbuild/extra-$arch $arch
+    done
+  ;;
+  testing)
+    update testing linux$suf-headers
+    for arch in x86_64 i686; do
+      build /var/lib/archbuild/testing-$arch $arch
+    done
+  ;;
+  *)
+    usage
+  ;;
+esac
+
+# vim:set ts=2 sw=2 ft=sh et:

Copied: virtualbox-modules/repos/community-testing-x86_64/virtualbox-guest-modules.install (from rev 122965, virtualbox-modules/trunk/virtualbox-guest-modules.install)
===================================================================
--- community-testing-x86_64/virtualbox-guest-modules.install	                        (rev 0)
+++ community-testing-x86_64/virtualbox-guest-modules.install	2014-11-22 22:52:55 UTC (rev 122966)
@@ -0,0 +1,21 @@
+_depmod() {
+  EXTRAMODULES=extramodules-3.17-ARCH
+  depmod $(cat /usr/lib/modules/$EXTRAMODULES/version)
+}
+
+post_install() {
+  cat << EOF
+===> You may want to load vboxguest, vboxsf and vboxvideo
+EOF
+  _depmod
+}
+
+post_upgrade() {
+  _depmod
+}
+
+post_remove() {
+  _depmod
+}
+
+# vim:set ts=2 sw=2 et:

Copied: virtualbox-modules/repos/community-testing-x86_64/virtualbox-host-modules.install (from rev 122965, virtualbox-modules/trunk/virtualbox-host-modules.install)
===================================================================
--- community-testing-x86_64/virtualbox-host-modules.install	                        (rev 0)
+++ community-testing-x86_64/virtualbox-host-modules.install	2014-11-22 22:52:55 UTC (rev 122966)
@@ -0,0 +1,23 @@
+_depmod() {
+  EXTRAMODULES=extramodules-3.17-ARCH
+  depmod $(cat /usr/lib/modules/$EXTRAMODULES/version)
+}
+
+post_install() {
+  cat << EOF
+===> You must load vboxdrv module before starting VirtualBox:
+===> # modprobe vboxdrv
+EOF
+  _depmod
+}
+
+post_upgrade() {
+  _depmod
+  echo 'In order to use the new version, reload all virtualbox modules manually.'
+}
+
+post_remove() {
+  _depmod
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list